com.google.appengine.tools.development.testing

## Class LocalMemcacheServiceTestConfig

- java.lang.Object
- - com.google.appengine.tools.development.testing.LocalMemcacheServiceTestConfig

- All Implemented Interfaces:
    LocalServiceTestConfig

      public class LocalMemcacheServiceTestConfig
      extends java.lang.Object
      implements LocalServiceTestConfig

  Config for accessing the local memcache service in tests. `tearDown()` wipes out all cache entries so that memcache is empty at the end of every test.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LocalMemcacheServiceTestConfig.SizeUnit`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalMemcacheServiceTestConfig()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LocalMemcacheService` | `getLocalMemcacheService()`
    `java.lang.Long` | `getMaxSize()`
    `LocalMemcacheServiceTestConfig.SizeUnit` | `getMaxSizeUnits()`
    `LocalMemcacheServiceTestConfig` | `setMaxSize(long maxSize, LocalMemcacheServiceTestConfig.SizeUnit maxSizeUnits)` Sets the maximum size of the cache
    `void` | `setUp()` Set up the local service.
    `void` | `tearDown()` Tear down the local service.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalMemcacheServiceTestConfig

          public LocalMemcacheServiceTestConfig()

  - ### Method Detail

    - #### setUp

          public void setUp()

      Description copied from interface: `LocalServiceTestConfig`
      Set up the local service.
      Specified by:
        `setUp` in interface `LocalServiceTestConfig`

    - #### tearDown

          public void tearDown()

      Description copied from interface: `LocalServiceTestConfig`
      Tear down the local service.
      Specified by:
        `tearDown` in interface `LocalServiceTestConfig`

    - #### getMaxSize

          public java.lang.Long getMaxSize()

    - #### getMaxSizeUnits

          public LocalMemcacheServiceTestConfig.SizeUnit getMaxSizeUnits()

    - #### setMaxSize

          public LocalMemcacheServiceTestConfig setMaxSize(long maxSize,
                                                           LocalMemcacheServiceTestConfig.SizeUnit maxSizeUnits)

      Sets the maximum size of the cache
      Parameters:
        `maxSize` -
        `maxSizeUnits` -
      Returns:
        `this` (for chaining)

    - #### getLocalMemcacheService

          public static LocalMemcacheService getLocalMemcacheService()